Subject: Re: [PATCH net] Revert "fib_rules: return 0 directly if an exactly same rule exists when NLM_F_EXCL not supplied"

From: Nathan Chancellor <[email-masked]>
Date: Tue, 4 Jun 2019 22:44:02 -0700

On Wed, Jun 05, 2019 at 12:27:14PM +0800, Hangbin Liu wrote:
> This reverts commit e9919a24d3022f72bcadc407e73a6ef17093a849.
> 
> Nathan reported the new behaviour breaks Android, as Android just add
> new rules and delete old ones.
> 
> If we return 0 without adding dup rules, Android will remove the new
> added rules and causing system to soft-reboot.
> 
> Reported-by: Nathan Chancellor <[email-masked]>
> Fixes: e9919a24d302 ("fib_rules: return 0 directly if an exactly same rule exists when NLM_F_EXCL not supplied")
> Signed-off-by: Hangbin Liu <[email-masked]>

Reviewed-by: Nathan Chancellor <[email-masked]>
Tested-by: Nathan Chancellor <[email-masked]>

I verified a revert on my OP6 when I initially ran into this issue.

Thanks for this. I would recommend that Yaro and Maciej also be given
reported by credit as I am not the only one to bring this up :)

Cheers,
Nathan